summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorElliott Hughes <enh@google.com>2013-12-20 18:18:56 +0000
committerGerrit Code Review <noreply-gerritcodereview@google.com>2013-12-20 18:18:56 +0000
commit2e21be131922fa55509603c54a5859e87000c256 (patch)
tree30225f27706f48b36651be9184a438bcdf5cf1df /test
parentdac68ba16604085a8b7986c16956ad76caafe17e (diff)
parentea6404e254f204ec42625dc2913b0a7e9340275d (diff)
downloadart-2e21be131922fa55509603c54a5859e87000c256.zip
art-2e21be131922fa55509603c54a5859e87000c256.tar.gz
art-2e21be131922fa55509603c54a5859e87000c256.tar.bz2
Merge "Fix host-run-test-jar to be legal for /bin/sh"
Diffstat (limited to 'test')
-rwxr-xr-xtest/etc/host-run-test-jar4
1 files changed, 3 insertions, 1 deletions
diff --git a/test/etc/host-run-test-jar b/test/etc/host-run-test-jar
index da74532..997e84b 100755
--- a/test/etc/host-run-test-jar
+++ b/test/etc/host-run-test-jar
@@ -79,7 +79,9 @@ done
msg "------------------------------"
mkdir $DEX_LOCATION/dalvik-cache
-[[ $? -ne 0 ]] && exit
+if [ $? -ne 0 ]; then
+ exit
+fi
export ANDROID_PRINTF_LOG=brief
if [ "$DEV_MODE" = "y" ]; then